Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)

From: Efraim Flashner <[email-masked]>
Date: Sun, 14 Jul 2019 15:42:54 +0300

On Sat, Jul 13, 2019 at 01:06:55AM -0400, Raghav Gururajan wrote:
> Hello Guix!
> 
> Unable to create any VMs by installing from any ISO file.
> 
> The virt-manager gives out the following error:
> 
> Unable to complete install: 'Unable to read from
> '/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
> directory'
> 
> Traceback (most recent call last):
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtManager/asyncjob.py", line 75, in
> cb_wrapper
>     callback(asyncjob, *args, **kwargs)
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtManager/create.py", line 2122, in
> _do_async_install
>     guest.installer_instance.start_install(guest, meter=meter)
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtinst/installer.py", line 415, in
> start_install
>     doboot, transient)
>   File "/gnu/store/r2l62bg0ayh22pkgs0jm9ig8q8n7daql-virt-manager-
> 2.1.0/share/virt-manager/virtinst/installer.py", line 358, in
> _create_guest
>     domain = self.conn.createXML(install_xml or final_xml, 0)
>   File "/gnu/store/kcdnna2613in9xfm9gxjqvkisdns911v-python-libvirt-
> 5.5.0/lib/python3.7/site-packages/libvirt.py", line 3840, in createXML
>     if ret is None:raise libvirtError('virDomainCreateXML() failed',
> conn=self)
> libvirt.libvirtError: Unable to read from
> '/sys/fs/cgroup/unified/machine/cgroup.controllers': No such file or
> directory
> 
> Regards,
> RG.
> 
Checking my machine:
$ ls /sys/fs/cgroup/unified/
cgroup.controllers  cgroup.max.depth  cgroup.max.descendants  cgroup.procs  cgroup.stat  cgroup.subtree_control  cgroup.threads

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted